Bug 61251 - EDITING: Word Completion does not respect capital /uppercase characters from the recorded words
Summary: EDITING: Word Completion does not respect capital /uppercase characters from ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.3.0 target:4.2.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-21 21:09 UTC by w.sirges
Modified: 2014-02-06 14:42 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot of error message (51.32 KB, image/jpeg)
2013-04-01 18:42 UTC, w.sirges
Details

Note You need to log in before you can comment on or make changes to this bug.
Description w.sirges 2013-02-21 21:09:23 UTC
Problem description: In the german language it's quite common to have word combinations of two or more nouns, each beginning with a capital letter, connected by hyphens (see attached screenshot, last line). LibO 4 does not handle those words as I would expect.

Steps to reproduce:
1. Create a new empty document
2. Type a short list, containing at least one of those words
3. Type that word again, and watch.

Current behavior: On the second typing of that word, when there are enough letters to recognize it, the capital letter(s) of the second (third, fourth, ..) noun get(s) converted to lower case in the automatic suggestion (see screenshot, highlighted part).

Expected behavior: Word Completion function should preserve the case of those word combinations.

Additional comments:

#1: LibO 3.6.4.3 (Build-ID 2ef5aff) has the same behaviour.
#2: The word in question has been correctly saved when I check Extras, AutoCorrect Options, Word Completion.
#3: Word Completion works correctly when I type the first noun, first hyphen, and then the first capital letter of the second noun.           
Operating System: Windows 8
Version: 4.0.0.3 release
Comment 1 A (Andy) 2013-02-21 21:51:09 UTC
Reproducible with LO 4.0.0.3 (Win7 Home, 64bit)
Comment 2 w.sirges 2013-03-16 22:09:13 UTC
This behaviour is still present in LibO Writer 4.0.1.2 Release.
Same platform: Win8 x64.
Comment 3 Cor Nouws 2013-03-30 20:48:47 UTC
Hi w.
thanks for the issue.

Some questions:
1- alas I see no screen shot as attachment.
2- is the problem that word completion does not respect capital letters?
3- have you experienced that older versions handled it correctly?

Cheers, Cor
Comment 4 w.sirges 2013-04-01 18:42:26 UTC
Created attachment 77284 [details]
Screenshot of error message
Comment 5 w.sirges 2013-04-01 18:46:37 UTC
(In reply to comment #3)
> Hi w.
> thanks for the issue.
> 
> Some questions:
> 1- alas I see no screen shot as attachment.
> 2- is the problem that word completion does not respect capital letters?
> 3- have you experienced that older versions handled it correctly?
> 
> Cheers, Cor

Thanks for your comment.

1 - Somehow the screenshot got lost. I've attached it again.
2 - Yes. The case of the second noun gets converted to lower case.
    It should stay a capital letter.
3 - I cannot say. I don't have older versions than 3.6.4.3
Comment 6 Cor Nouws 2013-04-01 20:03:41 UTC
thanks for explan. and so.
Some clearer summary.

NOTE: the kapital characters are recorded in Tools > Autocorrect options >...
Comment 7 Cor Nouws 2013-04-01 20:05:04 UTC
kapital ... better capital /uppercase
Comment 8 w.sirges 2013-04-11 19:15:15 UTC
Today I had the chance to test with an older installation of LibO (Version 3.5.2.2, Build-ID 281b639-6baa1d3-ef66a77-d866f25-f36d45f) on a different Windows computer. This works as expected.
Comment 9 Cor Nouws 2013-06-04 22:15:14 UTC
@mstahl: not related, only same subject...
Comment 10 Caolán McNamara 2014-01-31 21:46:02 UTC
probably see QuickHelpData::FillStrArr in sw/source/ui/docvw/edtwin.cxx
Comment 11 Commit Notification 2014-02-01 12:11:37 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8df7e6ced2c728932a07539c8607263d7298ab7b

fdo#61251 prefer exact matches before case guess matching



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2014-02-06 14:42:36 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=148ed6783b3c6e5e3c068f1a802c8bdfaba14e21&h=libreoffice-4-2

fdo#61251 prefer exact matches before case guess matching


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.